# Kubernetes Service for the MerchantsOfHope application
apiVersion: v1
kind: Service
metadata:
  name: merchants-of-hope-service
  labels:
    app: merchants-of-hope
spec:
  selector:
    app: merchants-of-hope
  ports:
    - protocol: TCP
      port: 80
      targetPort: 21000
  type: LoadBalancer  # Change to ClusterIP for internal access only